commit:     a623e1ad8313400c84b1e48d77c6b21e3306f40f
Author:     Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 20 22:27:39 2017 +0000
Commit:     Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
CommitDate: Wed Dec 20 22:27:39 2017 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=a623e1ad

profiles/package.mask: add dev-libs/gjs-1.50.2

add dev-libs/gjs-1.50.2 since it depends on masked spidermonkey

 dev-libs/gjs/gjs-1.50.2.ebuild                     | 62 ++++++++++++++++++++++
 profiles/package.mask                              |  5 ++
 .../gnome-backgrounds-3.26.2.ebuild                | 19 +++++++
 3 files changed, 86 insertions(+)

diff --git a/dev-libs/gjs/gjs-1.50.2.ebuild b/dev-libs/gjs/gjs-1.50.2.ebuild
new file mode 100644
index 00000000..e2149936
--- /dev/null
+++ b/dev-libs/gjs/gjs-1.50.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome2 pax-utils virtualx
+
+DESCRIPTION="Javascript bindings for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Projects/Gjs";
+
+LICENSE="MIT || ( MPL-1.1 LGPL-2+ GPL-2+ )"
+SLOT="0"
+IUSE="+cairo examples gtk test"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-libs/glib-2.52.1
+       >=dev-libs/gobject-introspection-1.52.1:=
+
+       sys-libs/readline:0
+       dev-lang/spidermonkey:52
+       virtual/libffi
+       cairo? ( x11-libs/cairo[X] )
+       gtk? ( >=x11-libs/gtk+-3.20:3 )
+"
+DEPEND="${RDEPEND}
+       gnome-base/gnome-common
+       sys-devel/gettext
+       virtual/pkgconfig
+       test? ( sys-apps/dbus )
+"
+
+#PATCHES=(
+       # Disable unittest failing without pt_BR locale, upstream bug #????
+#      "${FILESDIR}"/1.48.6-disable-unittest.patch
+#)
+
+src_configure() {
+       # FIXME: add systemtap/dtrace support, like in glib:2
+       # FIXME: --enable-systemtap installs files in ${D}/${D} for some reason
+       # XXX: Do NOT enable coverage, completely useless for portage installs
+       gnome2_src_configure \
+               --disable-systemtap \
+               --disable-dtrace \
+               --disable-code-coverage \
+               $(use_with cairo cairo) \
+               $(use_with gtk) \
+               $(use_with test dbus-tests) \
+               $(use_with test xvfb-tests)
+}
+
+src_install() {
+       # installation sometimes fails in parallel, bug #???
+       gnome2_src_install -j1
+
+       if use examples; then
+               insinto /usr/share/doc/"${PF}"/examples
+               doins "${S}"/examples/*
+       fi
+
+       # Required for gjs-console to run correctly on PaX systems
+       pax-mark mr "${ED}/usr/bin/gjs-console"
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index ad230279..804a3303 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -6,3 +6,8 @@
 # careful not to commit atoms that are not valid, as it can cause large-scale
 # breakage, especially if it ends up in the daily snapshot.
 #
+
+# mask gjs 1.50.2 since it depends on masked spider monkey
+# sobhan 2017/12/21
+=dev-libs/gjs-1.50.2
+

diff --git a/x11-themes/gnome-backgrounds/gnome-backgrounds-3.26.2.ebuild 
b/x11-themes/gnome-backgrounds/gnome-backgrounds-3.26.2.ebuild
new file mode 100644
index 00000000..0ee4078d
--- /dev/null
+++ b/x11-themes/gnome-backgrounds/gnome-backgrounds-3.26.2.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome2
+
+DESCRIPTION="A set of backgrounds packaged with the GNOME desktop"
+HOMEPAGE="https://git.gnome.org/browse/gnome-backgrounds";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND="!<x11-themes/gnome-themes-standard-3.14"
+DEPEND="
+       >=dev-util/intltool-0.40.0
+       sys-devel/gettext
+"

Reply via email to